Name:           amtk
Version:        5.6.1
Release:        1
Summary:        Actions, Menus and Toolbars Kit for GTK+ applications
License:        LGPLv2+ and LGPLv3+
URL:            https://wiki.gnome.org/Projects/Amtk
Source0:        https://download.gnome.org/sources/amtk/5.6/amtk-%{version}.tar.xz

BuildRequires:  gcc gettext glib2-devel gobject-introspection-devel gtk3-devel
BuildRequires:  meson gtk-doc

%description
Amtk is the acronym for “Actions, Menus and Toolbars Kit”. It is a basic
GtkUIManager replacement based on GAction. It is suitable for both a
traditional UI or a modern UI with a GtkHeaderBar.

%package        devel
Summary:        Header files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Provides:       %{name}-tests = %{version}-%{release}
Obsoletes:      %{name}-tests < %{version}-%{release}

%description    devel
Header files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang amtk-5

%files
%defattr(-,root,root)
%doc NEWS README.md
%license LICENSES
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Amtk-5.typelib
%{_libdir}/libamtk-5.so.0*
%{_datadir}/locale/*

%files devel
%defattr(-,root,root)
%{_includedir}/amtk-5/
%{_libdir}/libamtk-5.so
%{_libdir}/pkgconfig/amtk-5.pc

%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Amtk-5.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/amtk-5

%changelog
* Wed May 10 2023 Ge Wang <wang__ge@126.com> - 5.6.1-1
- Upgrade to version 5.6.1

* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 5.3.1-1
- Upgrade to version 5.3.1

* Wed Dec 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0.0-3
- Package init
